Bug 49161 - Migrate management/univention-management-console to dh_python2
Migrate management/univention-management-console to dh_python2
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: General
UCS 4.4
All Linux
: P5 normal (vote)
: UCS 4.4-2-errata
Assigned To: Florian Best
Johannes Keiser
:
Depends on:
Blocks: 28497 49132 49141 49142 49143 49145 49149 49150 49151 49152 49153 49154 49155 49156 49157 49158 49159 49160 49163 49164 49165 49168 49169 49173 49174 49178 49179 50332 50425
  Show dependency treegraph
 
Reported: 2019-03-28 10:27 CET by Florian Best
Modified: 2019-10-29 08:47 CET (History)
1 user (show)

See Also:
What kind of report is it?: Development Internal
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Flags outvoted after Product Owner Review:
Ticket number:
Bug group (optional):
Max CVSS v3 score:
best: Patch_Available+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Best univentionstaff 2019-03-28 10:27:10 CET
The package management/univention-management-console should be migrated to use dh_python instead of python-support.

Migration-Guide: https://hutten.knut.univention.de/mediawiki/index.php/Python_DebHelper_Migration
Comment 1 Florian Best univentionstaff 2019-04-04 15:23:54 CEST
Depends on:
ucs-school-umc-computerroom/italc2-ctrl.py:sys.path.insert(0, '/usr/share/pyshared/univention/management/console/modules/computerroom')
Comment 2 Florian Best univentionstaff 2019-04-04 15:29:00 CEST
Depends on:
base/univention-updater/umc/python/updater/__init__.py:HOOK_DIRECTORY = '/usr/share/pyshared/univention/management/console/modules/updater/hooks'
Comment 3 Florian Best univentionstaff 2019-04-24 18:16:15 CEST
test/utils/utils.sh: sed -i 's/if mod._connect_retries > 200:/if mod._connect_retries > 1200:/' /usr/share/pyshared/univention/management/console/protocol/session.py
Comment 4 Florian Best univentionstaff 2019-04-24 18:19:18 CEST
(In reply to Florian Best from comment #1)
> Depends on:
> ucs-school-umc-computerroom/italc2-ctrl.py:sys.path.insert(0,
> '/usr/share/pyshared/univention/management/console/modules/computerroom')
This is a file which is not shipped in any package.
Comment 5 Florian Best univentionstaff 2019-04-29 21:27:42 CEST
Patch in dh-python/49161-univention-management-console.
It allows to set PythonVersion in debian/*.umc-module so that we can dynamically create python2 / python3 packages.
Comment 6 Florian Best univentionstaff 2019-10-08 16:17:54 CEST
The package has been migrated to dh_python2.
It seems that UMC modules which use as build dependency dh_umc are not affected by the changes in dh_umc until they change their debhelper to dh_python as well.
That's very nice and eases the migration very much.

ucs-test
843968186714 | Bug #49161: fix python path

univention-management-console (11.0.4-36)
6e62ffc72d60 | Bug #49161: pep8
cf922604090a | Bug #49161: make python version in umc debhelper selectable
dfba74fd3834 | Bug #49161: libfuturize.fixes.fix_print_with_import
9582a46612fe | Bug #49161: add python3-univention-management-console
c7ea7204d09b | Bug #49161: migrate univention-management-console to dh_python2

univention-management-console.yaml
1bb1bc190ba8 | Bug #49161: Merge branch 'dh-python/49161-univention-management-console' into 4.4-2
1828d1ceb83e | YAML Bug #49161

univention-management-console (11.0.4-37)
1bb1bc190ba8 | Bug #49161: Merge branch 'dh-python/49161-univention-management-console' into 4.4-2
59322d6f01fc | Bug #49161: migrate package to dh_python
Comment 7 Johannes Keiser univentionstaff 2019-10-16 12:00:08 CEST
OK: upgrade per UMC
OK: dpkg -L
OK: import of univention-management-console
OK: import of py-support module
OK: functionality of the UMC
OK: jenkins
OK: yaml
-> verified